Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.collection
Class AbstractSerializableCollectionDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection

Direct Known Subclasses:
  PredicatedCollection, TransformedCollection, UnmodifiableBoundedCollection, UnmodifiableCollection

    public abstract class AbstractSerializableCollectionDecorator

extends AbstractCollectionDecorator
implements java.io.Serializable

Serializable subclass of AbstractCollectionDecorator.

Since:
  Commons Collections 3.1
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` | `AbstractSerializableCollectionDecorator(java.util.Collection coll)` Constructor.

Method Summary

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSerializableCollectionDecorator

    protected AbstractSerializableCollectionDecorator(java.util.Collection coll)

  Constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.